aboutsummaryrefslogtreecommitdiffstats
path: root/community/nextcloud/nextcloud.post-upgrade
blob: 01f2002a61702257a9171132ba59a0dbcf1c132c (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
#!/bin/sh

ver_new="$1"
ver_old="$2"

if [ $(apk version -t "$ver_old" '12.0.0-r2') = '<' ]; then
	cat >&2 <<-EOF
	*
	* All Nextcloud's bundled apps (except "files" and "dav") have been moved to
	* separate subpackages (e.g. nextcloud-activity). If you want to install
	* all apps that are enabled by default at once, run:
	*
	*     apk add nextcloud-default-apps
	*
	EOF

	if [ "$(ls -A /var/lib/nextcloud/apps)" ]; then
		cat >&2 <<-EOF
		*
		* Nextcloud's bundled apps have been moved from /var/lib/nextcloud/apps
		* to /usr/share/webapps/nextcloud/apps. Only apps installed from App Store
		* should be stored in /var/lib/nextcloud/apps.
		*
		* It seems that you have installed some apps from App Store, so you have to
		* add /var/lib/nextcloud/apps to your apps_paths. Copy "apps_paths" key
		* from /etc/nextcloud/config.php.apk-new to your config.php.
		* 
		EOF
	fi
fi

if [ $(apk version -t "$ver_old" '15.0.2-r0') = '<' ]; then
	cat >&2 <<-EOF
	*
	* App "user_external" is no longer available via release channel.
	* You need to uninstall the package and install it via appstore:
	*
	*     apk del nextcloud-user_external
	*
	EOF

fi

if [ "${ver_new%-r*}" != "${ver_old%-r*}" ]; then
	echo '  * Run "occ upgrade" to finish upgrading your NextCloud instance!' >&2
fi